// pages/indexPages/selectBusiness/selectBusiness.js
import {
    xcxywfl
} from "../../../apis/index"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        type: null,
        businessTitles: [],
        businessTitlesIndex: 0,
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.init(options)
        that.getBusiness()
    },

    init(e) {
        let that = this
        if (e) {
            if (e.type) {
                that.setData({
                    type: e.type
                })
                if (e.type == 1) {
                    wx.setNavigationBarTitle({
                      title: '预约取号',
                    })
                }
                if (e.type == 2) {
                    wx.setNavigationBarTitle({
                      title: '手机取号',
                    })
                }
            }
        }
    },

    getBusiness() {
        let that = this
        wx.showLoading({
          title: '加载中...',
        })
        let myHall = wx.getStorageSync('MY_HALL')
        xcxywfl({
            bsfwtDm: myHall.bsfwtDm
        }).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                that.setData({
                    businessTitles: res.list
                })
            } else {
                wx.showToast({
                  title: res.msg || res.message,
                  icon: "none",
                  duration: 5000
                })
            }
        })
    },

    selectBusinessTitle(e) {
        let that = this
        let index = e.currentTarget.dataset.index
        let item = e.currentTarget.dataset.item
        that.setData({
            businessTitlesIndex: index
        })
    },

    next(e) {
        let ywdx = e.currentTarget.dataset.ywdx
        let ywxx = e.currentTarget.dataset.ywxx
        let type = this.data.type
        let business = {
            ywId: ywdx.id,
            ywmc: ywdx.ywmc,
            ywxxId: ywxx.id,
            ywxxmc: ywxx.ywmc
        }
        wx.navigateTo({
          url: '../workGuide/workGuide?type=' + type + '&business=' + JSON.stringify(business),
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})