// pages/minePages/ndpjjgcx/ndpjjgcx.js
import {
    xcxGetCompanyList,
} from "../../../apis/index"
import {
    annualEvaluationResults,
} from "../../../apis/smzc"
Page({

    /**
     * 页面的初始数据
     */
    data: {
        enterpriceTypeShow: false,
        enterPriceList: [],
        enterPrice: {},
        startDate: "",
        endDate: "",
        resultList: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        let that = this
        that.init()
    },

    init() {
        let that = this
        let date = new Date()
        let y = date.getFullYear()
        let m = date.getMonth() + 1
        m = m < 10 ? '0' + m : m
        let d = date.getDate()
        d = d < 10 ? '0' + d : d
        let start = `${y-1}`
        let end = `${y}`
        that.setData({
            startDate: start,
            endDate: end
        })
        that.cx()
    },

    selectEnterprice() {
        let that = this
        wx.showLoading({
            title: '正在获取企业信息',
        })
        that.setData({
            enterpriceTypeShow: true
        })
        xcxGetCompanyList({
            xm: wx.getStorageSync('USERINFO').name,
            sfzjhm: wx.getStorageSync('USERINFO').idcard
        }).then(res => {
            wx.hideLoading()
            if (res.code == 200) {
                that.setData({
                    enterPriceList: res.list
                })
            } else {
                wx.showToast({
                    title: res.msg || res.message,
                    icon: "none",
                    duration: 5000
                })
            }
        })
    },

    selectedEnterprice(e) {
        let that = this
        let item = e.currentTarget.dataset.item
        that.setData({
            enterpriceTypeShow: false,
            enterPrice: item
        })
        that.cx()
    },

    close() {
        let that = this
        that.setData({
            enterpriceTypeShow: false
        })
    },

    seleDate(e) {
        let that = this
        let type = e.currentTarget.dataset.type
        if (type == 0) {
            that.setData({
                startDate: e.detail.value
            })
        } else if (type == 1) {
            that.setData({
                endDate: e.detail.value
            })
        }
        that.cx()
    },

    async cx() {
        let that = this
        let enterprice = that.data.enterPrice
        if (enterprice.djxh) {
            let s = that.data.startDate.split('-')[0]
            let e = that.data.endDate.split('-')[0]
            let num = e - s
            that.setData({
                resultList: []
            })
            for (let i = 0; i < num + 1; i++) {
                await that.getResult(Number(s) + i)
            }
        }
    },

    getResult(e) {
        return new Promise((resolve, reject) => {
            wx.showLoading({
                title: '正在查询...',
            })
            let that = this
            let resultList = that.data.resultList
            let form = {
                annReqVO: {
                    djxh: that.data.enterPrice.djxh,
                    pjnd: String(e)
                },
                headVo: {
                    jqbh: null,
                    sjjg: "16109970500",
                    sjry: "96109970015",
                }
            }
            annualEvaluationResults(form).then(res => {
                wx.hideLoading()
                if (res.code == 200) {
                    resultList = [...resultList, res.data]
                    that.setData({
                        resultList: resultList
                    })
                } else {
                    wx.showToast({
                        title: res.msg || res.message,
                        icon: "none",
                        duration: 3000
                    })
                }
                resolve(true)
            })
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})